Saints Row IV – GAT V Pack

Saints Row IV – GAT V Pack

It’s the moment every gamer has been waiting for: GAT V is here! Dress up as star-crossed lovers Gat and Aisha and strap on a heavy machine gun and a combat knife launcher for the ultimate Saints Row experience.


 

PC requirements:
Minimum:
  • OS: Windows Vista (x86 or x64)
  • Processor: Intel Core 2 Quad Q6600 | AMD Athlon II x3
  • Memory: 4 GB RAM
  • Graphics: NVIDIA GTX 260 | AMD Radeon HD 5800 series
  • DirectX: Version 10
Recommended:
  • OS: Windows 7 (x86 or x64), Windows 8 compatible
  • Processor: Intel i3 2100T | AMD Phenom II x4 or higher
  • Memory: 4 GB RAM
  • Graphics: NVIDIA GTX 560 | AMD Radeon HD 6800 series or higher
  • DirectX: Version 11

Linux requirements:
Minimum:
  • OS: Ubuntu 14.04.3 LTS or SteamOS Brewmaster
  • Processor: Intel Core i3-2100 (3.1 GHz) or AMD Athlon II X4 645 AM3 (3.1 GHz)
  • Memory: 4096 MB RAM
  • Graphics: GeForce GT 440 (1024 MB) or Radeon HD 6670 (1024 MB)
  • Additional Notes: Recommended Graphics Drivers: Nvidia: 352, 355 or 358 series driver / AMD: AMD Catalyst (fglrx) 15.9 or better. MESA drivers and Intel Graphics are not currently supported.
Recommended:
  • OS: Ubuntu 14.04.3 LTS or SteamOS Brewmaster
  • Processor: Intel Core i5-2500K (3.3 GHz) or AMD FX-4300 (3.8 GHz)
  • Memory: 8192 MB RAM
  • Graphics: GeForce GTX 660 (2048 MB) or Radeon HD 6970 (2048 MB)
  • Additional Notes: Recommended Graphics Drivers: Nvidia: 352, 355 or 358 series driver / AMD: AMD Catalyst (fglrx) 15.9 or better. MESA drivers and Intel Graphics are not currently supported.

Leave a Reply

Your email address will not be published. Required fields are marked *

You may be also interested in these game's requirements: